<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/zag.php");
include_once("inclydings/antixak.php");
include 'inclydings/ini.php';
$_title = '::LinEagE2::';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
include_once("inclydings/sesi.php");
if (isset($user)) {
switch($go) {
default:
echo"<b>John</b><br/>
Здраствуй $log!<br/>
Олипиада начинается каждый понедельник и заканчивается в субботу.<br/>";
$file=@file("L2dbnam/esql2db/olimpiada.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);
if($data[0]==$log){
echo"<br/><a href=\"olimpiada.php?$sd&go=sdat\">Сдать медали</a><br/>";
$start="no";
}}if(empty($start)){
echo"<br/><img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada.php?$sd&go=start\">Подать заявку</a><br/>";
}
echo"<img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada.php?$sd&go=about\">О олимпиаде</a><br/>";
echo"<img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada.php?$sd&go=top\">Участники</a><br/>";
echo"<img src='pik4erspic/mini/kop.png' alt='pic'/> <a href=\"olimpiada.php?$sd&go=rules\">Правила</a><br/>";
break;
case 'about':
echo"Как и говорилось олимпиада начинается в каждый понедельник и заканчивается в субботу. Победитель набравший большее колличество Olimpiad Medal победит. Победителю откроется эксклюзивный магазин. Olimpiad Medal, их можно добыть в пeщере ресурсов, в любом городе.";
break;
case 'rules':
echo"<b>Правила</b><br/>
1. Запрещено покупать или обменивать Olimpiad Medal.<br/>
<b>За нарушение первого пункта Olimpiad Medal будут отобраны и ваш персонаж будет заблокирован.</b>";
break;
case 'start':
$date=date("D");
if($date=="Sun"){echo"Сегодня олимпиада не проводится. Заходите завтра."; include_once"inclydings/down.php"; exit; }
$text="$log||0||";
$fp=fopen("L2dbnam/esql2db/olimpiada.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"<b>Начало</b><br/>
Иди в любые окрестности убивай монстров и приноси мне Olimpiad Medal. Если ты принесешь больше всех, то ты победитель!";
break;
case 'sdat':
$date=date("D");
if($date=="Sun"){echo"Сегодня олимпиада не проводится. Заходите завтра."; include_once"inclydings/down.php"; exit; }
$file=@file("L2dbnam/esql2db/olimpiada.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);
if($data[0]==$log){
$file2=@file("L2dbnam/esql2db/item/$log.dat");
$total2=count($file2);
for($i2=0; $i2<$total2; $i2++){
$data2=explode(":||:",$file2[$i2]);
if($data2[4]=="Olimpiad Medal"){
$_GLOBAL[kol]=$data2[3];
$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i2]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);
}}
$koll=$data[1];
$all=$_GLOBAL[kol]+$koll;
$text="$log||$all||";
$fp=fopen("L2dbnam/esql2db/olimpiada.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
$fp=fopen("L2dbnam/esql2db/olimpiada.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); }}
echo"Вы сдали всего медалей: $all";
break;
case 'top':
echo"<b>Герои</b></br></br>";
$file=@file("L2dbnam/esql2db/olimpiada.dat");
$total=count($file);
if(@file("L2dbnam/esql2db/olimpiada.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);
$data_log[]=$data[0];
$data_kol[]=$data[1];
}
arsort($data_kol);
foreach($data_kol as $k=>$v)
{
$data_screen[]='<a href="search.php?nick='.$data_log[$k].'&'.$sd.'&go=go">'.$data_log[$k].'</a><br/>Собрал Olimpiad Medal: '.$data_kol[$k].'<br/>';
}
if($total<"10"){
$list=$total;}else{$list="10";}
for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}
echo"<br/>Всего участников: $total";}else{echo"Участников нет.";}
break;
}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}
include_once"inclydings/down.php";
?>